%def_disable static

Name: faac
Version: 1.24
Release: alt1

Summary: FAAC is a Freeware Advanced Audio Coder
License: GPL
Group: Sound
Url: http://www.audiocoding.com

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.gz

Requires: lib%name = %version-%release

# Automatically added by buildreq on Mon May 31 2004
BuildRequires: gcc-c++ gcc-g77 libfaad-devel libstdc++-devel

%description
FAAC is a LC, MAIN and LTP profile MPEG2 and MPEG-4 AAC coder.

%package -n lib%name
Summary: Freeware Advanced Audio Coder (FAAC) libraries
Group: System/Libraries

%description -n lib%name
This package contains Freeware Advanced Audio Coder (FAAC) shared
libraries.

%package -n lib%name-devel
Summary: Development files for the FAAC AAC coder library
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package provides header files development libraries and
documentation for lib%name.

%prep
%setup -q -n %name

find ./ -type f -name "Makefile*" -print0 | \
xargs -r0 %__subst 's,^\(CFLAGS\),AM_\1,g
		    s,^\(LDFLAGS\),AM_\1,g' --

%build
%_buildshell ./bootstrap
export CFLAGS="-I%_includedir/mp4"
%configure \
    %{subst_enable static}

%make_build

%install
%make_install DESTDIR=%buildroot install

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
%doc docs/%name.html

%files -n lib%name
%_libdir/*.so.*
%doc ChangeLog NEWS README TODO

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%doc docs/lib%name.html

%changelog
* Mon May 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.24-alt1
- 1.24

* Sun Jan 25 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.23.1-alt0.5
- First build for Sisyphus.
